<?
session_start();
if(strlen($brcode)<=0)
{
 print "<script> alert('Session timed out'); parent.document.location='../ind.php'; </script>";
 return;
}

include("../../opendb.php");

$us=mysqli_query($db,"select level from bruser where username='$user'")or die(mysqli_error($db));
$r=mysqli_fetch_row($us);
$user_level=$r[0];

$dt=$y.'-'.$m.'-'.$d;
if($user_level<=4)
{
$sq="select to_days(curdate())-to_days('$dt')";
$dtre=mysqli_query($db,$sq)or die(mysqli_error($db));
$dtrow=mysqli_fetch_row($dtre);

if($dtrow[0]>2 || $dtrow[0]<0)
{
 print "<script> alert('Invalid Date, Entry possible for last 2 days only'); history.back(1); </script>";
 return;
}
}

$dt=$y.'-'.$m.'-'.$d;
$i=0;

//***********************
$i=0;
foreach($dr as $a)
{
 $dr[$i]=$a; 
 $i++;
}

$i=0;
foreach($dr_amt as $a)
{
 $dramt[$i]=$a; 
 $i++;
}
$i=0;
foreach($dr_narr as $a)
{
 $drnarr[$i]=$a; 
 $i++;
}
$i=0;
foreach($ag as $a)
{
 $again[$i]=$a;$i++;
}
$i=0;
foreach($dragain as $a)
{
 $dr_again[$i]=$a;$i++;
}
$i=0;
foreach($dragval as $a)
{
 $dr_agval[$i]=$a;$i++;
}






$res=mysqli_query($db,"select max(jvno) from journal2 where brcode='$brcode'");
 $row=mysqli_fetch_row($res);
 if($row[0]<=0)
  $jvno=1;
 else
  $jvno=($row[0]+1);


$rs=mysqli_query($db,"select max(brno) from bnkrec where brcode='$brcode'");
$cr_row=mysqli_fetch_row($rs);
 if($cr_row[0]<=0)
   $brno=1;
 else   
   $brno=$cr_row[0]+1;

for($j=0;$j<$i;$j++)
{
 $sql="insert into journal2 values('$dt','$jvno','Dr','$dr[$j]','$dramt[$j]','0','$drnarr[$j].(BR:$brno)','$brcode','BR','$dr_again[$j]','$dr_agval[$j]','$brno')";
 mysqli_query($db,$sql)or die(mysqli_error($db));

 $sql="insert into bnkrec values('$dt','$brno','Dr','$dr[$j]','$dramt[$j]','0','$drnarr[$j].(JV:$jvno)','$brcode','$jvno','$dr_again[$j]','$dr_agval[$j]','')";
 mysqli_query($db,$sql)or die(mysqli_error($db));

}

//***********************
$i=0;
foreach($cr as $a)
{
 $cr[$i]=$a; 
 $i++;
}

$i=0;
foreach($cr_amt as $a)
{
 $cramt[$i]=$a; 
 $i++;
}
$i=0;
foreach($cr_narr as $a)
{
 $crnarr[$i]=$a; 
 $i++;
}

$i=0;
foreach($cragain as $a)
{
 $cr_again[$i]=$a;$i++;
}
$i=0;
foreach($cragval as $a)
{
 $cr_agval[$i]=$a;$i++;
}

for($j=0;$j<$i;$j++)
{
$chre=mysqli_query($db,"select * from ledger where led='$cr[$j]' and brcode='$brcode'");
if(mysqli_num_rows($chre)<=0)
{
 print "<script> alert('Ledger $cr[$j] could not be found, a/c posted successfully')</script>";
}


 $sql="insert into journal2 values('$dt','$jvno','Cr','$cr[$j]','0','$cramt[$j]','$crnarr[$j].(BR:$brno)','$brcode','BR','$cr_again[$j]','$cr_agval[$j]','$brno')";
mysqli_query($db,$sql) or die(mysqli_error($db));

 $sql="insert into bnkrec values('$dt','$brno','Cr','$cr[$j]','0','$cramt[$j]','$crnarr[$j].(JV:$jvno)','$brcode','$jvno','$cr_again[$j]','$cr_agval[$j]','')";
mysqli_query($db,$sql) or die(mysqli_error($db));

print "<script> window.open('prnvoucher.php?jvno=$jvno'); </script>";

}

$rr=mysqli_query($db,"select sum(dramt)-sum(cramt) from journal2 where brcode='$brcode' and jvno='$jvno'");
$rrrow=mysqli_fetch_row($rr);
if($rrrow[0]!=0)
{
 print "<script> alert('Debit, Credit mismatch of $rrrow[0], pls edit this entry again')</script>";
 print "<font color=red>Data has been posted with error.  Edit this entry</font><br>";
 return;
}

print "<script> window.open('prnbnkrec.php?no=$brno')' </script>";
print "<font color=green>Data has been posted</font><br>";
log_entry($brcode,$user,$REMOTE_ADDR,"Bank receipt JVNo: $jvno, BPNo: $brno");

include("brec.php");
?>
